```Traceback (most recent call last): File "/usr...
# announcements
g
Copy code
Traceback (most recent call last):
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/core/code_pointer.py", line 188, in load_python_module
    module = importlib.import_module(module_name)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/usecase_b/repository_b.py", line 2, in <module>
    from hello_b import hello_b_pipeline
ModuleNotFoundError: No module named 'hello_b'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/runpy.py", line 197, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/__main__.py", line 4, in <module>
    grpc_command()
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/click/core.py", line 829, in __call__
    return self.main(*args, **kwargs)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/click/core.py", line 782, in main
    rv = self.invoke(ctx)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/click/core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/cli/api.py", line 402, in grpc_command
    server = DagsterGrpcServer(
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/server.py", line 805, in __init__
    self._api_servicer = DagsterApiServer(
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/server.py", line 217, in __init__
    self._repository_symbols_and_code_pointers.load()
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/server.py", line 98, in load
    self._loadable_repository_symbols = load_loadable_repository_symbols(
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/server.py", line 122, in load_loadable_repository_symbols
    loadable_targets = get_loadable_targets(
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/utils.py", line 37, in get_loadable_targets
    else loadable_targets_from_python_package(package_name)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/cli/workspace/autodiscovery.py", line 23, in loadable_targets_from_python_package
    module = load_python_module(package_name, remove_from_path_fn=remove_from_path_fn)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/core/code_pointer.py", line 210, in load_python_module
    raise error
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/core/code_pointer.py", line 182, in load_python_module
    module = importlib.import_module(module_name)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/usecase_b/repository_b.py", line 2, in <module>
    from hello_b import hello_b_pipeline
ModuleNotFoundError: No module named 'hello_b'
/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/cli/workspace/workspace.py:105: UserWarning: Error loading repository location u_B:dagster.core.errors.DagsterUserCodeProcessError: ModuleNotFoundError: No module named 'hello_b'

Stack Trace:
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/server.py", line 805, in __init__
    self._api_servicer = DagsterApiServer(
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/server.py", line 217, in __init__
    self._repository_symbols_and_code_pointers.load()
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/server.py", line 98, in load
    self._loadable_repository_symbols = load_loadable_repository_symbols(
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/server.py", line 122, in load_loadable_repository_symbols
    loadable_targets = get_loadable_targets(
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/utils.py", line 37, in get_loadable_targets
    else loadable_targets_from_python_package(package_name)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/cli/workspace/autodiscovery.py", line 23, in loadable_targets_from_python_package
    module = load_python_module(package_name, remove_from_path_fn=remove_from_path_fn)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/core/code_pointer.py", line 210, in load_python_module
    raise error
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/core/code_pointer.py", line 182, in load_python_module
    module = importlib.import_module(module_name)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/usecase_b/repository_b.py", line 2, in <module>
    from hello_b import hello_b_pipeline


Stack Trace:
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/cli/workspace/workspace.py", line 100, in _load_handle
    handle = self.create_handle_from_origin(origin)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/cli/workspace/workspace.py", line 85, in create_handle_from_origin
    return origin.create_handle()
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/core/host_representation/origin.py", line 190, in create_handle
    return ManagedGrpcPythonEnvRepositoryLocationHandle(self)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/core/host_representation/handle.py", line 295, in __init__
    self.grpc_server_process = GrpcServerProcess(
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/server.py", line 1066, in __init__
    self.server_process = open_server_process(
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/server.py", line 981, in open_server_process
    wait_for_grpc_server(server_process, output_file)
  File "/usr/local/Caskroom/miniconda/base/envs/dagster-demo/lib/python3.9/site-packages/dagster/grpc/server.py", line 918, in wait_for_grpc_server
    raise DagsterUserCodeProcessError(

  warnings.warn(
Loading repository...